Name:           python-doubleratchet
Version:        0.7.0
Release:        2%{?dist}
Summary:        Python implementation of the Double Ratchet algorithm

License:        MIT
URL:            https://github.com/Syndace/%{name}
Source0:        https://github.com/Syndace/%{name}/archive/v%{version}-beta.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-cryptography

%description
This python library offers an implementation of the Double Ratchet
algorithm.

A double ratchet allows message encryption providing perfect forward
secrecy. A double ratchet instance synchronizes with a second instance
using Diffie-Hellman calculations, that are provided by the DHRatchet
class.



%package     -n python3-doubleratchet
Summary:        Python implementation of the Double Ratchet algorithm

%description -n python3-doubleratchet
This python library offers an implementation of the Double Ratchet
algorithm.

A double ratchet allows message encryption providing perfect forward
secrecy. A double ratchet instance synchronizes with a second instance
using Diffie-Hellman calculations, that are provided by the DHRatchet
class.



%prep
%autosetup -n %{name}-%{version}-beta


%build
%py3_build


%install
%py3_install


%check
%{__python3} setup.py test



%files -n python3-doubleratchet
%license LICENSE
%doc README.md
# For noarch packages: sitelib
%{python3_sitelib}/doubleratchet/
%{python3_sitelib}/DoubleRatchet-0.7.0-py3.9.egg-info/



%changelog
* Mon Feb 08 2021 Matthieu Saulnier <fantom@fedoraproject.org> - 0.7.0-2
- Remove upstream name variable used once: %%{srcname}
- Add more explicit description

* Sat Jan 16 2021 Matthieu Saulnier <fantom@fedoraproject.org> - 0.7.0-1
- Initial package
